org.apache.cassandra.cql3.statements

## Class IndexTarget

- java.lang.Object
- - org.apache.cassandra.cql3.statements.IndexTarget

    public class IndexTarget
    extends java.lang.Object

### Field Summary

Fields
`ColumnIdentifier` `column`
`boolean` `isCollectionKeys`

### Method Summary

Methods
`static IndexTarget` `keysOf(ColumnIdentifier c)`
`static IndexTarget` `of(ColumnIdentifier c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### column

    public final ColumnIdentifier column

#### isCollectionKeys

    public final boolean isCollectionKeys

### Method Detail

#### of

    public static IndexTarget of(ColumnIdentifier c)

#### keysOf

    public static IndexTarget keysOf(ColumnIdentifier c)